[DestinationDirs]
; Set ICT_Sys_Copy to System32 Directory
ICT_Sys_Copy=11
; Set ICT_CopyFiles to "Program Files\Diamond\Display"
ICT_CopyFiles="Display"

[SourceDisksNames]
2="Drivers for Windows NT 4.0",,2

[SourceDisksFiles]
dmadvan.@r=2,,36000
dmadvan.dl_=2,,46000
dmcontct.@r=2,,35000
dmcontct.dl_=2,,51000
dmdll.@r=2,,102400
dmdll.dl_=2,,100000
dmgamma.@r=2,,32000
dmgamma.dl_=2,,175000
dmhookm.dl_=2,,14000
dminfo.@r=2,,37000
dminfo.dl_=2,,48000
dminfom.@r=2,,31000
dminfom.dl_=2,,45000
;dmmulti.@r=2,,34000
;dmmulti.dl_=2,,50000
dmpopup.@r=2,,29000
dmpopup.dl_=2,,46000
;dmscheme.dll=2,,74000
dmshell.dl_=2,,32000
dmstart.exe=2,,13824
;dmtvout.dll=2,,20000
dmtray.@r=2,,38000
dmtray.exe=2,,69000
;dmvideo.dll=2,,20000

[Optional Components]
InControl Tools

[InControl Tools]
OptionDesc=%InControl.Desc%
ProgramGroups=Driver_ICT_ProgramGroups
Tip=%InControl.Details%
CopyFiles=ICT_Sys_Copy, ICT_CopyFiles
Uninstall=ICT_Sys_Copy, ICT_CopyFiles
AddReg=Diamond.AddReg
UninstallReg=Diamond.UninstallReg
Dependency=1
Type=0

[Driver_ICT_ProgramGroups]
;<program group>,<description>,<install path>,<command line>,<startup path (working directory)>,<icon file>,<icon id>
DIAMOND,%InControlDesktopManager%,display\dmtray.exe, ,display,display\dmtray.exe,0
Startup,DMSTART,display\dmstart.exe, ,display,display\dmstart.exe,0


[Diamond.AddReg]
; Display properties dialog box title - language dependent
HKCU,Software\Diamond\Tab Name\,DisplayProperties,,%DisplayPropertiesTabName%;

;ICTNT reg entry for DMTRAY - DONOT MODIFY THIS LINE - IT IS REQUIRED BY DMSTART.
HKLM,SOFTWARE\DSMMEDIA\Install,Setup Path,,%11%

; Advanced Info, dmadvan.dll
HKCR,CLSID\{ECFA54C1-E0DC-11D0-AC51-00A0244C6087},,,InControl Tools - Advanced Information Property Sheet
HKCR,CLSID\{ECFA54C1-E0DC-11D0-AC51-00A0244C6087}\InProcServer32,,4,%11%\dmadvan.dll
HKCR,CLSID\{ECFA54C1-E0DC-11D0-AC51-00A0244C6087}\InProcServer32,ThreadingModel,,Apartment
HKLM,SOFTWARE\Diamond\Controls Folder,Advanced Info,,{ECFA54C1-E0DC-11D0-AC51-00A0244C6087}
HKLM,SOFTWARE\Diamond\Controls Folder\Advanced Properties\Advance Info Extension,,,{ECFA54C1-E0DC-11D0-AC51-00A0244C6087}

; Contact, dmcontct.dll
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6087},,,InControl Tools - Contact Property Sheet
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6087}\InProcServer32,,4,%11%\dmcontct.dll
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6087}\InProcServer32,ThreadingModel,,Apartment
HKLM,SOFTWARE\Diamond\Controls Folder,Customer Support,,{B40A1500-D36D-11d0-AC51-00A0244C6087}
HKLM,SOFTWARE\Diamond\Controls Folder\Advanced Properties\Contact Extension,,,{B40A1500-D36D-11d0-AC51-00A0244C6087}

; MultiMonitor, dmmulti.dll
;HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C8},,,InControl Tools - MultiMonitor Property Sheet
;HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C8}\InProcServer32,,4,%11%\dmmulti.dll
;HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C8}\InProcServer32,ThreadingModel,,Apartment
;HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\MultiMonitor Extension,,,{05507E00-0C72-11CF-94B8-0020AFA104C8}

; Gamma, dmgamma.dll without dmscheme
HKCR,CLSID\{ED2167C1-447B-11d0-AAB8-00A024151DDC},,,InControl Tools - Gamma Property Sheet
HKCR,CLSID\{ED2167C1-447B-11d0-AAB8-00A024151DDC}\InProcServer32,,4,%11%\dmgamma.dll
HKCR,CLSID\{ED2167C1-447B-11d0-AAB8-00A024151DDC}\InProcServer32,ThreadingModel,,Apartment
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\Gamma Extension,,,{ED2167C1-447B-11d0-AAB8-00A024151DDC}

; Scheme, dmscheme.dll
;HKCR,CLSID\{9AF11881-7DC7-11d0-AAB8-00A024151DDF},,,InControl Tools - Scheme Property Sheet
;HKCR,CLSID\{9AF11881-7DC7-11d0-AAB8-00A024151DDF}\InProcServer32,,4,%11%\dmscheme.dll
;HKCR,CLSID\{9AF11881-7DC7-11d0-AAB8-00A024151DDF}\InProcServer32,ThreadingModel,,Apartment
;HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\Scheme Extension,,,{9AF11881-7DC7-11d0-AAB8-00A024151DDF}

; Gamma, dmgamma.dll with dmscheme
HKCR,CLSID\{ED2167C1-447B-11d0-AAB8-00A024151DDC},,,InControl Tools - Gamma Property Sheet
HKCR,CLSID\{ED2167C1-447B-11d0-AAB8-00A024151DDC}\InProcServer32,,4,%11%\dmgamma.dll
HKCR,CLSID\{ED2167C1-447B-11d0-AAB8-00A024151DDC}\InProcServer32,ThreadingModel,,Apartment
HKLM,SOFTWARE\Diamond\Schemes Folder,Gamma Scheme,,{ED2167C1-447B-11d0-AAB8-00A024151DDC}
HKLM,SOFTWARE\Diamond\Schemes Folder\Scheme Properties\Gamma Extension,,,{ED2167C1-447B-11d0-AAB8-00A024151DDC}

; TV out, dmtvout.dll
;HKCR,CLSID\{9AF11881-7DC7-11d0-AAB8-00A024151DDC},,,InControl Tools - TV out Property Sheet
;HKCR,CLSID\{9AF11881-7DC7-11d0-AAB8-00A024151DDC}\InProcServer32,,4,%11%\dmtvout.dll
;HKCR,CLSID\{9AF11881-7DC7-11d0-AAB8-00A024151DDC}\InProcServer32,ThreadingModel,,Apartment
;HKLM,SOFTWARE\Diamond\Schemes Folder,TVOut Scheme,,{9AF11881-7DC7-11d0-AAB8-00A024151DDC}
;HKLM,SOFTWARE\Diamond\Schemes Folder\Scheme Properties\TVout Extension,,,{9AF11881-7DC7-11d0-AAB8-00A024151DDC}

; Video, dmvideo.dll
;HKCR,CLSID\{22AE8180-86FE-11CE-82F1-00608CC91D55},,,InControl Tools - Video Property Sheet
;HKCR,CLSID\{22AE8180-86FE-11CE-82F1-00608CC91D55}\InProcServer32,,4,%11%\dmvideo.dll
;HKCR,CLSID\{22AE8180-86FE-11CE-82F1-00608CC91D55}\InProcServer32,ThreadingModel,,Apartment
;HKLM,SOFTWARE\Diamond\Schemes Folder,Video Scheme,,{22AE8180-86FE-11CE-82F1-00608CC91D55}
;HKLM,SOFTWARE\Diamond\Schemes Folder\Scheme Properties\Video Extension,,,{22AE8180-86FE-11CE-82F1-00608CC91D55}

; Driver Settings
HKCU,%Str_DriverSettings%,%Str_AllMonitors%,,%Str_AllMonitors_0%;
HKCU,%Str_DriverSettings%,%Str_Configuration%,,%Str_Configuration_1x1%;
HKCU,%Str_DriverSettings%,%Str_DeskMgr%,,%Str_DeskMgr_0%;
HKCU,%Str_DriverSettings%,%Str_PopupMenu%,,1;

; Information, dminfo.dll
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C6},,,InControl Tools - Information Property Sheet
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C6}\InProcServer32,,4,%11%\dminfo.dll
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C6}\InProcServer32,ThreadingModel,,Apartment
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\Information Extension,,,{05507E00-0C72-11CF-94B8-0020AFA104C6}

; MultiMonitor Information, dminfom.dll
;HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6088},,,InControl Tools - MultiMonitor Information Property Sheet
;HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6088}\InProcServer32,,4,%11%\dminfom.dll
;HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6088}\InProcServer32,ThreadingModel,,Apartment
;HKLM,SOFTWARE\Diamond\Controls Folder\Advanced Properties\DMInfom Extension,,,{B40A1500-D36D-11d0-AC51-00A0244C6088}

; Popup, dmpopup.dll
HKCR,CLSID\{30FC9D80-86FE-11CE-82F1-00608CC91D55},,,InControl Tools - Popup Property Sheet
HKCR,CLSID\{30FC9D80-86FE-11CE-82F1-00608CC91D55}\InProcServer32,,4,%11%\dmpopup.dll
HKCR,CLSID\{30FC9D80-86FE-11CE-82F1-00608CC91D55}\InProcServer32,ThreadingModel,,Apartment
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\Popup Extension,,,{30FC9D80-86FE-11CE-82F1-00608CC91D55}

HKLM,SOFTWARE\Diamond\Installed\InControl Tools,Installed,,1
HKLM,SOFTWARE\Diamond\Installed\InControl Tools,Path,,%11%
HKLM,SOFTWARE\Diamond\Installed\InControl Tools,Version,,4.0

;Initial popup menu settings
HKCU,Software\Diamond\Popup\,%Str_SwitchDesktop%,1,0;
;HKCU,Software\Diamond\Popup\,%Str_MultiMonitor%,1,1;
HKCU,Software\Diamond\Popup\,%Str_ScreenSaver%,1,2;


[Diamond.UninstallReg]
HKCR,CLSID\{ECFA54C1-E0DC-11D0-AC51-00A0244C6087}
HKLM,SOFTWARE\Diamond
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6087}
HKLM,SOFTWARE\Diamond\Controls Folder
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C8}
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\MultiMonitor Extension
HKCU,%Str_DriverSettings%
HKCU,SOFTWARE\Diamond
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C6}
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\Information Extension
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6088}
HKLM,SOFTWARE\Diamond\Controls Folder\Advanced Properties\DMInfo2 Extension
HKCR,CLSID\{30FC9D80-86FE-11CE-82F1-00608CC91D55}
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\Popup Extension,,,{30FC9D80-86FE-11CE-82F1-00608CC91D55}
HKLM,SOFTWARE\DSMMEDIA


[ICT_Sys_Copy]
dmadvan.@r
dmadvan.dll
dmcontct.@r
dmcontct.dll
dmdll.@r
dmdll.dll
dmgamma.@r
dmgamma.dll
dmhookm.dll
dminfo.@r
dminfo.dll
dminfom.@r
dminfom.dll
;dmmulti.@r
;dmmulti.dll 
dmpopup.@r
dmpopup.dll 
;dmscheme.dll
dmshell.dll
;dmvideo.dll
;dmtvout.dll
dmtray.@r
dmtray.exe
dmstart.exe

[ICT_CopyFiles]
dmstart.exe
dmtray.exe

;----------------------------------------
; User visible strings

[Strings]
InControl.Desc="InControl Tools"
InControl.Details="Diamond InControl Tools Utilities for Windows NT"
InControlDesktopManager="InControl Tools Desktop Manager"
DisplayPropertiesTabName="Display Properties"

Str_EVENT_MESSAGE_FILE="%SystemRoot%\System32\IoLogMsg.dll@%SystemRoot%\System32\drivers\dimd_i740.sys"
Str_DriverSettings = "Software\Diamond\Driver Settings"
Str_AllMonitors = "AllMonitors"
Str_AllMonitors_0 = "0"
Str_DeskMgr = "DeskMgr"
Str_DeskMgr_0 = "0"
Str_Configuration = "Configuration"
Str_Configuration_1x1 = "1 x 1"
Str_PopupMenu = "Popup Menu"

Str_MultiMonitor = "MultiMonitor"
Str_ScreenSaver = "Screen Saver"
Str_SwitchDesktop = "Switch Desktop"
